Bold360 Help Center

Bold360 system requirements

Browser requirements for customers on web

  • Google Chrome recommended (Last 20 versions)
  • Mozilla Firefox on Windows (Last 10 versions)
  • Microsoft Edge
  • Microsoft Internet Explorer 7 and newer
    Note: The AI chat widget requires Internet Explorer 9 or newer
  • Safari on macOS (Last two versions)
Customer requirements for remote access:
  • Windows 7 or above
  • OS X 10.9 or above

For co-browsing requirements, see Start a co-browse session.

Browser requirements for customers on mobile

  • Chrome recommended on Android
  • Safari recommended on iOS

Browser requirements for the Agent Workspace

  • Google Chrome recommended (Last 20 versions)
  • Mozilla Firefox on Windows (Last 10 versions)
  • Microsoft Edge
  • Microsoft Internet Explorer 11
  • Safari on macOS (Last two versions)
Remember: To use the Remote Access feature, you must use Chrome.

Browser requirements for the Admin Center

  • Google Chrome recommended (Last 20 versions)
  • Mozilla Firefox on Windows (Last 10 versions)
  • Microsoft Edge
  • Safari on macOS (Last two versions)